# -*- coding: UTF-8 -*-

from unload.node.nodeparams import DbReader


class Node(object):
    def __init__(self, id, cashes, reader, shopCode=None):
        self.id = id
        self.cashes = cashes

        if isinstance(reader, DbReader):
            self.reader = reader
        else:
            raise AttributeError(u"Ошибка. Объект 'reader' не принадлежит классу 'DbReader'.")
        self.shopCode = shopCode if shopCode else id
